/*=========================================================================

  Program:   Orbit Visualization Tool
  Source:    $Source: /stor/devel/ovt2g/ovt/object/BasicObject.java,v $
  Date:      $Date: 2000/11/26 17:02:05 $
  Version:   $Revision: 1.7 $


Copyright (c) 2000 OVT Team (Kristof Stasiewicz, Mykola Khotyaintsev, 
Yuri Khotyaintsev)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification is permitted provided that the following conditions are met:

 * No part of the software can be included in any commercial package without
written consent from the OVT team.

 * Redistributions of the source or binary code must retain the above
copyright notice, this list of conditions and the following disclaimer.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT OR
INDIRECT DAMAGES  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.

OVT Team (http://ovt.irfu.se)   K. Stasiewicz, M. Khotyaintsev, Y.
Khotyaintsev

=========================================================================*/

/*
 * BasicObject.java
 *
 * Created on March 10, 2000, 5:23 PM
 */
 
package ovt.object;

import ovt.*;
import ovt.mag.*;
import ovt.beans.*;
import ovt.util.*;
import ovt.datatype.*;
import ovt.interfaces.*;

import vtk.*;

import java.util.*;


/** 
 *
 * @author  root
 * @version 
 */
public class BasicObject extends OVTObject implements CoreSource, Renderable  {

  /** Holds value of property core. */
  private OVTCore core = null;
  
  /** Creates new BasicObject */
  public BasicObject(OVTCore core, String name) {
    super(name);
    this.core = core;
  }
  
  /** Creates new BasicObject */
  public BasicObject(OVTCore core) {
    this.core = core;
  }
  
  /** Getter for property core.
   * @return Value of property core.
   */
  public OVTCore getCore() {
    return core;
  }
  
  public int getCS() {
    return getCore().getCS();
  }
  
  public int getPolarCS() {
    return getCore().getPolarCS();
  }
  
  public double getMjd() {
    return getCore().getMjd();
  }
  
  public Trans getTrans(double mjd) {
    return getCore().getTrans(mjd);
  }
  
  public MagProps getMagProps() {
    return getCore().getMagProps();
  }

  
  /** Getter for renderer.
   * @return Value of property renderer.
   */
  public vtkRenderer getRenderer() {
    return getCore().getRenderer();
  }
  
  public void Render() {
    getCore().Render();
  }
  
}